# Uses of Interface
org.springframework.orm.jpa.JpaDialect

Packages that use JpaDialect
Package
Description
org.springframework.orm.jpa
Package providing integration of JPA (Java Persistence API) with Spring concepts.
org.springframework.orm.jpa.vendor
Support classes for adapting to specific JPA vendors.

## Uses of JpaDialect in org.springframework.orm.jpa

Classes in org.springframework.orm.jpa that implement JpaDialect
Modifier and Type
Class
Description
`class`
`DefaultJpaDialect`
Default implementation of the `JpaDialect` interface.
Methods in org.springframework.orm.jpa that return JpaDialect
Modifier and Type
Method
Description
`JpaDialect`
AbstractEntityManagerFactoryBean.`getJpaDialect()`
`JpaDialect`
EntityManagerFactoryInfo.`getJpaDialect()`
Return the vendor-specific JpaDialect implementation for this EntityManagerFactory, or `null` if not known.
`JpaDialect`
JpaTransactionManager.`getJpaDialect()`
Return the JPA dialect to use for this transaction manager.
`default JpaDialect`
JpaVendorAdapter.`getJpaDialect()`
Return the vendor-specific JpaDialect implementation for this provider, or `null` if there is none.
Methods in org.springframework.orm.jpa with parameters of type JpaDialect
Modifier and Type
Method
Description
`void`
AbstractEntityManagerFactoryBean.`setJpaDialect(JpaDialect jpaDialect)`
Specify the vendor-specific JpaDialect implementation to associate with this EntityManagerFactory.
`void`
JpaTransactionManager.`setJpaDialect(JpaDialect jpaDialect)`
Set the JPA dialect to use for this transaction manager.

## Uses of JpaDialect in org.springframework.orm.jpa.vendor

Classes in org.springframework.orm.jpa.vendor that implement JpaDialect
Modifier and Type
Class
Description
`class`
`EclipseLinkJpaDialect`
`JpaDialect` implementation for Eclipse Persistence Services (EclipseLink).
`class`
`HibernateJpaDialect`
`JpaDialect` implementation for Hibernate.
Methods in org.springframework.orm.jpa.vendor that return JpaDialect
Modifier and Type
Method
Description
`JpaDialect`
AbstractJpaVendorAdapter.`getJpaDialect()`